- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.ListSampleQuerySetsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.aspect_1)

Gets a list of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets#SampleQuerySet`s.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*}/sampleQuerySets`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent location resource name, such as `projects/{project}/locations/{location}`. If the caller does not have permission to list `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets#SampleQuerySet`s under this location, regardless of whether or not this location exists, a `PERMISSION_DENIED` error is returned. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets#SampleQuerySet`s to return. If unspecified, defaults to 100. The maximum allowed value is 1000. Values above 1000 will be coerced to 1000. If this field is negative, an `INVALID_ARGUMENT` error is returned. |
| `pageToken` | `string` A page token `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.ListSampleQuerySetsResponse.FIELDS.next_page_token`, received from a previous `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#google.cloud.discoveryengine.v1beta.SampleQuerySetService.ListSampleQuerySets` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#google.cloud.discoveryengine.v1beta.SampleQuerySetService.ListSampleQuerySets` must match the call that provided the page token. Otherwise, an `INVALID_ARGUMENT` error is returned. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#google.cloud.discoveryengine.v1beta.SampleQuerySetService.ListSampleQuerySets` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sampleQuerySets": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets#SampleQuerySet`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `sampleQuerySets[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets#SampleQuerySet`)`` The `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets#SampleQuerySet`s. |
| `nextPageToken` | `string` A token that can be sent as `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.sampleQuerySets.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).